Skip to main content
GET
/
activity
Get recent activity
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.phaseo.app/v1/activity', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
{
  "period_days": 30,
  "limit": 50,
  "offset": 0,
  "total": 1250,
  "total_cost_cents": 42.75,
  "activity": [
    {
      "request_id": "req_abc123",
      "provider": "openai",
      "model": "openai/gpt-4.1",
      "endpoint": "chat.completions",
      "usage": {},
      "cost_cents": 1.25,
      "latency_ms": 842,
      "timestamp": "2026-04-28T12:30:00Z"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.ai-stats.phaseo.app/llms.txt

Use this file to discover all available pages before exploring further.

This endpoint requires a management API key. Standard Gateway API keys are not accepted.

Authorizations

Authorization
string
header
required

Bearer token authentication

Query Parameters

workspace_id
string<uuid>

Optional workspace override. Must match the authenticated workspace unless using an internal control caller.

days
integer
default:30

Number of days of activity to include.

Required range: x >= 1
limit
integer
default:50

Maximum number of activity rows to return.

Required range: 1 <= x <= 250
offset
integer
default:0

Number of activity rows to skip for pagination.

Required range: x >= 0

Response

Retrieved

ok
enum<boolean>
required
Available options:
true
period_days
integer
required
Example:

30

limit
integer
required
Example:

50

offset
integer
required
Example:

0

total
integer
required
Example:

1250

total_cost_cents
number
required
Example:

42.75

activity
object[]
required
Last modified on May 19, 2026